Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::CodeBlocks Class Reference

Structure to hold code block sizes when spatial partitioning is used.

`#include <common.h>`

List of all members.

## Public Member Functions

- CodeBlocks ()
    Default Constructor.
- CodeBlocks (unsigned int hblocks, unsigned int vblocks)
    Constructor.
- unsigned int HorizontalCodeBlocks () const
    Return the number of horizontal code blocks.
- unsigned int VerticalCodeBlocks () const
    Return the number of vertical code blocks.
- void SetHorizontalCodeBlocks (unsigned int hblocks)
    Set the number of horizontal code blocks.
- void SetVerticalCodeBlocks (unsigned int vblocks)
    Set the number of vertical code blocks.

## Private Attributes

- unsigned int m_hblocks
    Number of Horizontal code blocks.
- unsigned int m_vblocks
    Number of Vertical code blocks.

## Constructor & Destructor Documentation

dirac::CodeBlocks::CodeBlocks | ( |  | ) | `[inline]`

dirac::CodeBlocks::CodeBlocks | ( | unsigned int | hblocks,
|  | unsigned int | vblocks |
| ) |  |  | `[inline]`

## Member Function Documentation

unsigned int dirac::CodeBlocks::HorizontalCodeBlocks | ( |  | ) | const`[inline]`

References m_hblocks.

unsigned int dirac::CodeBlocks::VerticalCodeBlocks | ( |  | ) | const`[inline]`

References m_vblocks.

void dirac::CodeBlocks::SetHorizontalCodeBlocks | ( | unsigned int | hblocks | ) | `[inline]`

References m_hblocks.

void dirac::CodeBlocks::SetVerticalCodeBlocks | ( | unsigned int | vblocks | ) | `[inline]`

References m_vblocks.

## Member Data Documentation

unsigned int dirac::CodeBlocks::m_hblocks`[private]`

Referenced by HorizontalCodeBlocks(), and SetHorizontalCodeBlocks().

unsigned int dirac::CodeBlocks::m_vblocks`[private]`

Referenced by SetVerticalCodeBlocks(), and VerticalCodeBlocks().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.